## org.omg.CORBA
Class PrimitiveDefPOATie

    java.lang.Object
      |
      +--org.omg.PortableServer.Servant
            |
            +--org.omg.CORBA.PrimitiveDefPOA
                  |
                  +--org.omg.CORBA.PrimitiveDefPOATie

All Implemented Interfaces:
  IDLTypeOperations, InvokeHandler, IRObjectOperations, PrimitiveDefOperations

public class PrimitiveDefPOATie
extends PrimitiveDefPOA

A PrimitiveDef represents one of the OMG IDL primitive types. As primitive types are unnamed, this interface is not derived from TypedefDef or Contained.

Constructor Summary
`PrimitiveDefPOATie(PrimitiveDefOperations tieObject)` Constructor
`PrimitiveDefPOATie(PrimitiveDefOperations tieObject, POA poa)` Constructor

Method Summary
`POA` `_default_POA()` _default_POA method
`PrimitiveDefOperations` `_delegate()` Get the delegate
`void` `_delegate(PrimitiveDefOperations delegate_)` Set the delegate
`DefinitionKind` `def_kind()` Read accessor for def_kind attribute
`void` `destroy()` Operation destroy
`PrimitiveKind` `kind()` Read accessor for kind attribute
`TypeCode` `type()` Read accessor for type attribute

Methods inherited from class org.omg.CORBA.PrimitiveDefPOA
`_all_interfaces, _invoke, _this, _this`

Methods inherited from class org.omg.PortableServer.Servant
`_get_delegate, _get_interface_def, _get_interface, _is_a, _non_existent, _object_id, _orb, _orb, _poa, _set_delegate, _this_object, _this_object`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrimitiveDefPOATie

    public PrimitiveDefPOATie(PrimitiveDefOperations tieObject)

  Constructor

### PrimitiveDefPOATie

    public PrimitiveDefPOATie(PrimitiveDefOperations tieObject,
                              POA poa)

  Constructor

Method Detail

### _delegate

    public PrimitiveDefOperations _delegate()

  Get the delegate

### _delegate

    public void _delegate(PrimitiveDefOperations delegate_)

  Set the delegate

### _default_POA

    public POA _default_POA()

  _default_POA method
  Overrides:
    `_default_POA` in class `Servant`

### kind

    public PrimitiveKind kind()

  Read accessor for kind attribute

### type

    public TypeCode type()

  Read accessor for type attribute

### def_kind

    public DefinitionKind def_kind()

  Read accessor for def_kind attribute

### destroy

    public void destroy()

  Operation destroy